%define aurox_ver 11.1
%define rel 1


%define redhatify 1

%define debug 0
%define final 0

%define qt_epoch 1
%define arts_epoch 8
%define cups_epoch 1

%define qt_version 3.3.5
%define arts_version 1.5.2
%define kde_major_version 3

%define qtdocdir %{_docdir}/qt-devel-%{qt_version}

%define make_cvs 1
%define fam 1
%define dnotify 1
%define pcre 1
%define alsa 1
%define pie 1
%define arts 1

%define disable_gcc_check_and_hidden_visibility 1

Version: 3.5.2
Release: 3%{?dist}
Summary: K Desktop Environment - Libraries
Name: kdelibs
Url: http://www.kde.org/
Epoch: 6
Group: System Environment/Libraries
License: LGPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
Source1: kde.sh
Source2: kde.csh
Source3: kde-applications.menu
Source4: devices.protocol
Patch1: kdelibs-3.5.1-xdg-menu.patch
Patch2: kdelibs-3.0.0-ndebug.patch
Patch4: kdelibs-3.0.4-ksyscoca.patch
Patch5: kdelibs-3.5.0-openssl0.9.8a.patch
Patch7: kdelibs-3.4.0-menu.patch
Patch15: kdelibs-3.4.91-buildroot.patch
Patch16: kdelibs-3.1-ssl-krb5.patch
Patch20: kdelibs-3.3.92-defaultstyle.patch
Patch24: kdelibs-3.1-libtool.patch
Patch32: kdelibs-3.2.3-cups.patch
Patch33: kdelibs-3.3.2-ppc.patch
Patch34: kdelibs-3.4.0-qtdoc.patch
Patch35: kdelibs-3.4.92-inttype.patch
Patch36: kdelibs-3.5.0-modular-x.patch

%if %{arts}
Requires: arts >= %{arts_epoch}:%{arts_version}
%endif
Requires: qt >= %{qt_epoch}:%{qt_version}
Requires: cups-libs >= %{cups_epoch}:1.1.12

%if %{redhatify}
Requires: desktop-backgrounds-basic
Requires: redhat-artwork >= 0.122
Requires: hicolor-icon-theme
Requires: aurox-menus >= 1.4
%endif

Requires(post,postun): /sbin/ldconfig
Requires(post,postun): desktop-file-utils
Requires: fileutils
Requires: shadow-utils
Requires: dev

%if %{fam}
BuildRequires: fam-devel
%endif

%if %{pcre}
BuildRequires: pcre-devel
%endif

BuildRequires: cups-devel >= %{cups_epoch}:1.1.20
BuildRequires: qt-devel >= %{qt_epoch}:%{qt_version}
BuildRequires: flex >= 2.5.4a-13
BuildRequires: doxygen
BuildRequires: libxslt-devel >= 1.1.15
BuildRequires: sgml-common
BuildRequires: openjade
BuildRequires: jadetex
BuildRequires: docbook-dtd31-sgml
BuildRequires: docbook-style-dsssl
BuildRequires: perl-SGMLSpm
BuildRequires: docbook-utils
BuildRequires: zlib-devel
BuildRequires: libidn-devel
%if %{arts}
BuildRequires: arts-devel >= %{arts_epoch}:%{arts_version}
%endif
BuildRequires: audiofile-devel
BuildRequires: openssl-devel
BuildRequires: perl
BuildRequires: gawk
BuildRequires: byacc
BuildRequires: libart_lgpl-devel >= 2.3.8
BuildRequires: bzip2-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: libmng-devel
BuildRequires: pkgconfig
BuildRequires: autoconf automake
BuildRequires: aspell-devel >= 11:0.50
BuildRequires: alsa-lib-devel
BuildRequires: libacl-devel
BuildRequires: libattr-devel

Obsoletes: %{name}2
Obsoletes: kdesupport
Obsoletes: kdoc

%description
Libraries for the K Desktop Environment:
KDE Libraries included: kdecore (KDE core library), kdeui (user interface),
kfm (file manager), khtmlw (HTML widget), kio (Input/Output, networking),
kspell (spelling checker), jscript (javascript), kab (addressbook),
kimgio (image manipulation).

%package devel
Group: Development/Libraries
Summary: Header files and documentation for compiling KDE applications.
Requires: qt-devel >= %{qt_epoch}:%{qt_version}
Requires: %{name} = %{epoch}:%{version}-%{release}
%if %{arts}
Requires: arts-devel
%endif
Requires: libart_lgpl-devel
Requires: libxslt-devel
Requires: libjpeg-devel
Requires: zlib-devel
Requires: openssl-devel
Requires: bzip2-devel
Requires: libtiff-devel
Requires: libidn-devel
Requires: libacl-devel
%if %{fam}
Requires: fam-devel
%endif
%if %{pcre}
Requires: pcre-devel
%endif
Obsoletes: kdesupport-devel

%description devel
This package includes the header files you will need to compile
applications for KDE.  Also included is the KDE API documentation in HTML
format for easy browsing.

%package apidocs
Group: Development/Documentation
Summary: KDE API documentation.
Requires: %{name} = %{epoch}:%{version}-%{release}
Obsoletes: kdelibs-docs

%description apidocs
This package includes the KDE API documentation in HTML
format for easy browsing

%prep
%setup -q
%patch1 -p1 -b .xdg-menu
%if %{debug} == 0
%patch2 -p1 -b .debug
%endif
%patch4 -p1 -b .ksyscoca
%patch5 -p1 -b .openssl
%patch7 -p1 -b .menu
%patch15 -p1 -b .buildroot
%patch16 -p1 -b .ssl-krb5
%patch20 -p1 -b .defaultstyle
%patch24 -p1 -b .libtool
%patch32 -p1 -b .cups
%patch33 -p1 -b .ppc
%patch34 -p1 -b .qtdoc
%patch35 -p1 -b .inttype
%patch36 -p1 -b .modular-x

# change KDE_VERSION_STRING
%if %{redhatify}
   perl -pi -e "s,^#define KDE_VERSION_STRING .*,#define KDE_VERSION_STRING \"%{version}-%{release}\"," kdecore/kdeversion.h
%endif

%build
export QTDOC=%{qtdocdir}
unset QTDIR && . /etc/profile.d/qt.sh
export libltdl_cv_shlibext=".so"

%if %{make_cvs}
   make -f admin/Makefile.common cvs
%endif

# set some default FLAGS
FLAGS="$RPM_OPT_FLAGS"

%if %{debug}
   FLAGS="-O0"
%endif

# workaround for compiler bug on ia64, will be removed later
%ifarch ia64
export CFLAGS="$RPM_OPT_FLAGS -O0"
export CXXFLAGS="$RPM_OPT_FLAGS -O0"
%endif

export CXXFLAGS="$FLAGS"
export CFLAGS="$FLAGS"
export QTLIB=$QTDIR/lib

if pkg-config openssl ; then
   export CFLAGS="$CFLAGS `pkg-config --cflags openssl`"
   export CXXFLAGS="$CXXFLAGS `pkg-config --cflags openssl`"
   export CPPFLAGS="$CPPFLAGS `pkg-config --cflags-only-I openssl`"
   export LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
fi

# Check which version/distribution we are...
%if %{redhatify}
   #VERSION=`cat /etc/redhat-release 2>/dev/null |awk '{ print $5; }'`
   #if [ -z "$VERSION" -o -z "echo $VERSION |sed -e 's,[0-9]*,,g;s,\.,,g'" ]; then
   #   VERSION="A Red Hat Linux-based distribution"
   #else
   #   VERSION="Red Hat Linux $VERSION"
   #fi
   VERSION="Aurox Linux %{aurox_ver}"
%endif

suffix=""
if [ "%{_lib}" == "lib64" ] ; then
   suffix="64"
fi

%configure \
   --enable-new-ldflags \
   --disable-dependency-tracking \
   --with-qt-libraries=$QTLIB \
   --enable-libsuffix="$suffix" \
   --enable-cups \
   --enable-mitshm \
   --with-xinerama \
%if %{disable_gcc_check_and_hidden_visibility}
   --disable-gcc-hidden-visibility \
%endif
%if %{pie}
   --enable-pie \
%endif
%if %{arts} == 0
   --without-arts \
%endif
%if %{redhatify}
   --with-distribution="$VERSION" \
%endif 
%if %{alsa}
   --with-alsa \
%endif
   --includedir=%{_includedir}/kde \
%if %{debug} == 0
   --disable-debug \
   --disable-warnings \
%endif
%if %{final}
   --enable-final \
%endif
%if %{fam} == 0
   --disable-libfam \
%endif
%if %{dnotify}
   --enable-dnotify \
%endif
%if %{pcre} == 0
   --disable-pcre \
%endif
   --disable-rpath

# ld breaks with -fPIC on ppc, workaround
# it will be removed when this bug is fixed
%ifarch ppc ppc64
   perl -pi -e 's,^pic_flag=" -fPIC -DPIC",pic_flag=" -fpic",g' libtool
%endif

make %{?_smp_mflags}
make apidox

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

chmod a+x $RPM_BUILD_ROOT%{_libdir}/*
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/services/

pushd $RPM_BUILD_ROOT%{_docdir}
ln -sf HTML/en/kdelibs-apidocs %{name}-devel-%{kde_major_version}
popd

mkdir -p $RPM_BUILD_ROOT/etc/profile.d
install -m 755 %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT/etc/profile.d/

# Remove file conflicts with openoffice
rm -f $RPM_BUILD_ROOT%{_datadir}/mimelnk/application/vnd.sun* \
      $RPM_BUILD_ROOT%{_datadir}/mimelnk/application/vnd.stardivision*

# Make symlinks relative
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f $i/common
      ln -sf ../common $i
   fi
done
popd

%if %{redhatify}
	pushd $RPM_BUILD_ROOT%{_datadir}/icons/crystalsvg
	for s in 16x16 22x22 32x32 48x48 64x64 128x128; do
		pushd $s/apps/ || continue
		# package icons
		ln -sf package_wordprocessing.png redhat-office.png
		ln -sf package_network.png redhat-internet.png
		ln -sf package_applications.png redhat-accessories.png
		ln -sf package_graphics.png redhat-graphics.png
		ln -sf package_games.png redhat-games.png
		ln -sf multimedia.png redhat-sound_video.png
		ln -sf package_settings.png redhat-preferences.png
		ln -sf package_development.png redhat-programming.png
		ln -sf ../filesystems/server.png redhat-network-server.png
		ln -sf ../filesystems/server.png redhat-server_settings.png
		ln -sf package_utilities.png redhat-system_tools.png
		ln -sf package_system.png redhat-system_settings.png
		ln -sf package_utilities.png redhat-tools.png
		# app icons
		ln -sf kmail.png redhat-email.png
		ln -sf konqueror.png redhat-web-browser.png
		ln -sf kfm.png redhat-filemanager.png
		ln -sf kfm_home.png redhat-home.png
		ln -sf kviewshell.png redhat-logviewer.png
		# system settings
		ln -sf multimedia.png system-config-soundcard.png
		popd
	done
	popd
	rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/index.theme
	rm -f $RPM_BUILD_ROOT/etc/xdg/menus/applications.menu
	install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/xdg/menus/
   pushd $RPM_BUILD_ROOT/etc/xdg/menus/
   ln -s applications-merged kde-applications-merged
   popd
	echo "OnlyShowIn=KDE;" >> $RPM_BUILD_ROOT%{_datadir}/applications/kde/kresources.desktop
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -d /etc/skel/Desktop/Autostart ]; then
   mv -f /etc/skel/Desktop/Autostart /etc/skel/Desktop/Autostart-OLD..KDE
elif [ -d /etc/skel/Desktop/Autostart.rpmsave ]; then
   mv -f /etc/skel/Desktop/Autostart.rpmsave /etc/skel/Desktop/Autostart-OLD..KDE
fi
exit 0

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/crystalsvg || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/crystalsvg || :
fi
%{_bindir}/update-desktop-database > /dev/null 2>&1 || :

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/crystalsvg || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/crystalsvg || :
fi
%{_bindir}/update-desktop-database > /dev/null 2>&1 || :

%files
%defattr(-,root,root)
/etc/profile.d/*
/etc/xdg/menus/*
%{_bindir}/*
%attr(4755,root,root) %{_bindir}/kpac_dhcp_helper
%attr(4755,root,root) %{_bindir}/kgrantpty
%exclude %{_bindir}/dcopidl*
%{_libdir}/lib*
%{_libdir}/kde3
%{_datadir}/applications
%{_datadir}/apps
%{_datadir}/locale/all_languages
%dir %{_datadir}/config
%config(noreplace) %{_datadir}/config/*
%{_datadir}/emoticons
%{_datadir}/icons
%{_datadir}/mimelnk
%{_datadir}/autostart
%{_datadir}/services
%{_datadir}/servicetypes
%dir %{_docdir}/HTML
%dir %{_docdir}/HTML/en
%doc %{_docdir}/HTML/en/common
%doc %{_docdir}/HTML/en/kspell

%files devel
%defattr(-,root,root)
%{_bindir}/dcopidl*
%{_includedir}/kde

%files apidocs
%defattr(-,root,root)
%doc %{_docdir}/%{name}-devel-%{kde_major_version}
%doc %{_docdir}/HTML/en/kdelibs*

%changelog
* Sun Apr 2 2006 Krzysztof Krahel <chemik12@gmail.com> 6:3.5.2-11.1.aur.1
- update to 3.5.2

* Thu Mar 23 2006 Krzysztof Krahel <chemik12@gmail.com> 6:3.5.1-11.1.aur.1
- rebuilt

* Wed Feb 01 2006 Than Ngo <than@redhat.com> 6:3.5.1-1
- 3.5.1

* Thu Jan 19 2006 Than Ngo <than@redhat.com> 6:3.5.0-6
- rename subpackage to -apidocs

* Wed Jan 18 2006 Than Ngo <than@redhat.com> 6:3.5.0-5
- apply patch to fix a printing problem
- add subpackage kdelibs-docs
- enable --enable-new-ldflags #161074 

* Wed Dec 21 2005 Than Ngo <than@redhat.com> 6:3.5.0-4
- apply patch to fix crash in kicker on KDE logout

* Fri Dec 16 2005 Than Ngo <than@redhat.com> 6:3.5.0-3
- add requires on several devel subpackages

* Tue Dec 13 2005 Than Ngo <than@redhat.com> 6:3.5.0-2 
- apply patch to fix konqueror for working with new openssl #174541 

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
* - rebuilt

* Tue Aug 23 2005 Karol Kozimor <kkozimor@aurox.org> 6:3.4.2-11.0.aur.2
- fix deps
- add missing sources

* Thu Aug 11 2005 Adam Mikuta <amikuta@aurox.org>
- upgrade to 3.4.2

* Mon Jul 18 2005 Karol Kozimor <kkozimor@aurox.org>
- update for mime-types for flash files, rebuild
- drop RH icons

* Fri Jun 10 2005 Than Ngo <than@redhat.com> 6:3.4.1-0.fc4.1
- update to 3.4.1

* Wed May 04 2005 Than Ngo <than@redhat.com> 6:3.4.0-6
- kimgio input validation vulnerabilities, CAN-2005-1046

* Wed Apr 13 2005 Than Ngo <than@redhat.com> 6:3.4.0-5
- more fixes from CVS stable branch
- fix kbuildsycoca crashes with signal 11 on kde startup #154246

* Tue Apr 12 2005 Than Ngo <than@redhat.com> 6:3.4.0-4
- add workaround for #154294

* Thu Apr 07 2005 Than Ngo <than@redhat.com> 3.4.0-3
- add missing kcontrol/khelp/home/find in main menu #151655 
- fix bad symlinks #154093

* Fri Apr 01 2005 Than Ngo <than@redhat.com> 6:3.4.0-2
- more patches from CVS stable branch
- add missing kde documents, workaround for rpm bug

* Thu Mar 17 2005 Than Ngo <than@redhat.com> 6:3.4.0-1
- 3.4.0 release

* Wed Mar 16 2005 Than Ngo <than@redhat.com> 6:3.4.0-0.rc1.6
- new snapshot from KDE_3_4_BRANCH

* Mon Mar 14 2005 Than Ngo <than@redhat.com> 6:3.4.0-0.rc1.5
- default font setting Sans/Monospace

* Fri Mar 04 2005 Than Ngo <than@redhat.com> 6:3.4.0-0.rc1.4
- rebuilt against gcc-4.0.0-0.31

* Tue Mar 01 2005 Than Ngo <than@redhat.com> 6:3.4.0-0.rc1.3
- fix dependency problem with openssl-0.9.7e

* Tue Mar 01 2005 Than Ngo <than@redhat.com> 6:3.4.0-0.rc1.2
- rebuilt against gcc-4

* Sat Feb 26 2005 Than Ngo <than@redhat.com> 6:3.4.0-0.rc1.1
- bump release

* Fri Feb 25 2005 Than Ngo <than@redhat.com> 6:3.4.0-0.rc1.0
- KDE 3.4.0 rc1

* Tue Feb 22 2005 Than Ngo <than@redhat.com> 6:3.3.92-0.3
- respin KDE 3.4 beta2

* Thu Feb 17 2005 Than Ngo <than@redhat.com> 6:3.3.92-0.2
- Add symlinks to crystal icons, thanks Peter Rockai, #121929
- fix export

* Mon Feb 14 2005 Than Ngo <than@redhat.com> 6:3.3.92-0.1
- KDE 3.4 Beta2

* Sat Feb 12 2005 Than Ngo <than@redhat.com> 6:3.3.2-0.7
- backport CVS patch, cleanup InputMethod

* Fri Feb 11 2005 Than Ngo <than@redhat.com> 6:3.3.2-0.6
- drop mktemp patch

* Thu Feb 10 2005 Than Ngo <than@redhat.com> 6:3.3.2-0.5
- use mkstemp instead of mktemp
- fix knotify crash after applying sound system change
- add steve cleanup patch

* Wed Dec 15 2004 Than Ngo <than@redhat.com> 6:3.3.2-0.4
- get rid of broken AltiVec instructions on ppc

* Tue Dec 14 2004 Than Ngo <than@redhat.com> 6:3.3.2-0.3
- apply the patch to fix Konqueror Window Injection Vulnerability #142510
  CAN-2004-1158,  Thanks to KDE security team
- Security Advisory: plain text password exposure, #142487
  thanks to KDE security team

* Wed Dec 08 2004 Than Ngo <than@redhat.com> 6:3.3.2-0.2
- workaround for compiler bug on ia64 (-O0)

* Fri Dec 03 2004 Than Ngo <than@redhat.com> 6:3.3.2-0.1
- update to 3.3.2
- remove unneeded kdelibs-3.3.1-cvs.patch, kdelibs-3.3.1-xml.patch

* Tue Nov 02 2004 Than Ngo <than@redhat.com> 6:3.3.1-4
- backport CVS patches, fix konqueror crash #134758

* Fri Oct 29 2004 Than Ngo <than@redhat.com> 6:3.3.1-3
- add some fixes from CVS

* Sat Oct 16 2004 Than Ngo <than@redhat.com> 6:3.3.1-2
- rebuilt for rhel

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 6:3.3.1-1
- update to KDE 3.3.1

* Wed Sep 29 2004 Than Ngo <than@redhat.com> 6:3.3.0-5
- add missing requires on libidn-devel

* Sun Sep 26 2004 Than Ngo <than@redhat.com> 6:3.3.0-4
- cleanup menu

* Mon Sep 20 2004 Than Ngo <than@redhat.com> 3.3.0-3
- fix a bug in ksslopen #114835

* Tue Sep 07 2004 Than Ngo <than@redhat.com> 6:3.3.0-2
- add patch to fix KDE trash always full #122988

* Thu Aug 19 2004 Than Ngo <than@redhat.com> 6:3.3.0-1
- update to 3.3.0 release

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 6:3.3.0-0.1.rc2
- update to 3.3.0 rc1

* Sun Aug 08 2004 Than Ngo <than@redhat.com> 6:3.3.0-0.1.rc1
- update to 3.3 rc1

* Fri Jul 23 2004 Than Ngo <than@redhat.com> 3.2.92-2
- update to KDE 3.3 Beta 2
- remove some unneeded patch files
- enable libsuffix

* Mon Jul 19 2004 Than Ngo <than@redhat.com> 6:3.2.3-6
- add IM patch
- set kprinter default to cups

* Mon Jul 12 2004 Than Ngo <than@redhat.com> 6:3.2.3-5
- rebuild

* Mon Jul 05 2004 Than Ngo <than@redhat.com> 6:3.2.3-4
- built with libpcre support, it's needed for using regular expressions in Javascript code bug #125264

* Thu Jul 01 2004 Than Ngo <than@redhat.com> 6:3.2.3-3
- fix double entry in filelist
- add some devel packages in requires

* Thu Jun 17 2004 Than Ngo <than@redhat.com> 3.2.3-2
- rebuilt

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 31 2004 Than Ngo <than@redhat.com> 3.2.3-1
- update to KDE 3.2.3
- remove some patch files, which are now included in 3.2.3

* Mon May 17 2004 Than Ngo <than@redhat.com> 6:3.2.2-7
- add patch to enable PIE

* Sun May 16 2004 Than Ngo <than@redhat.com> 6:3.2.2-6
- vulnerability in the mailto handler, CAN-2004-0411

* Fri May 14 2004 Than Ngo <than@redhat.com> 3.2.2-5
- KDE Telnet URI Handler File Vulnerability , CAN-2004-0411

* Wed Apr 21 2004 Than Ngo <than@redhat.com> 3.2.2-4
- Implements the FreeDesktop System Tray Protocol, thanks to Harald Hoyer

* Mon Apr 19 2004 Than Ngo <than@redhat.com> 3.2.2-3
- fix #120265 #119642

* Sun Apr 18 2004 Warren Togami <wtogami@redhat.com> 3.2.2-2
- #120265 #119642 -devel req alsa-lib-devel esound-devel fam-devel
                             glib2-devel libart_lgpl-devel
- #88853 BR autoconf automake libpng-devel libvorbis-devel
            glib2-devel libtiff-devel
- cups-libs explicit epoch, some cleanups

* Tue Apr 13 2004 Than Ngo <than@redhat.com> 3.2.2-1
- 3.2.2 release

* Fri Mar 12 2004 Than Ngo <than@redhat.com> 6:3.2.1-1.4
- rebuild

* Thu Mar 11 2004 Than Ngo <than@redhat.com> 6:3.2.1-1.3
- get rid of application.menu, it's added in redhat-menus

* Fri Mar 05 2004 Than Ngo <than@redhat.com> 6:3.2.1-1.2
- respin

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Than Ngo <than@redhat.com> 3.2.1-1
- update to 3.2.1 release

* Tue Feb 17 2004 Than Ngo <than@redhat.com> 6:3.2.0-1.5
- fix typo bug, _smp_mflags instead smp_mflags

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 09 2004 Than Ngo <than@redhat.com> 6:3.2.0-0.4
- add new icon patch file 

* Thu Feb 05 2004 Than Ngo <than@redhat.com> 6:3.2.0-0.3 
- build against qt 3.3.0
- fix a bug in ksslopen on x86_64, bug #114835

* Tue Feb 03 2004 Than Ngo <than@redhat.com> 6:3.2.0-0.2
- 3.2.0 release

* Fri Jan 23 2004 Than Ngo <than@redhat.com> 6:3.1.95-0.4
- fixed #114114

* Wed Jan 21 2004 Than Ngo <than@redhat.com> 6:3.1.95-0.3
- fixed file conflict with hicolor-icon-theme
- added requires: hicolor-icon-theme

* Tue Jan 20 2004 Than Ngo <than@redhat.com> 6:3.1.95-0.2
- added kde.sh, kde.csh
- fixed build problem
- fixed rpm file list

* Mon Jan 19 2004 Than Ngo <than@redhat.com> 6:3.1.95-0.1
- KDE 3.2 RC1

* Tue Dec 02 2003 Than Ngo <than@redhat.com> 6:3.1.94-0.2
- KDE 3.2 Beta2 respin

* Mon Dec 01 2003 Than Ngo <than@redhat.com> 6:3.1.94-0.1
- KDE 3.2 Beta2

* Wed Nov 26 2003 Than Ngo <than@redhat.com> 6:3.1.93-0.4
- add missing cupsdconf, cupsdoprint and dcopquit

* Tue Nov 25 2003 Than Ngo <than@redhat.com> 6:3.1.93-0.3
- enable alsa support

* Sat Nov 08 2003 Than Ngo <than@redhat.com> 6:3.1.93-0.2
- cleanup several patch files

* Mon Nov 03 2003 Than Ngo <than@redhat.com> 6:3.1.93-0.1
- 3.2 Beta 1
- remove many patches, which are now in upstream
- adjust many redhat specific patch files
- cleanup rpm file list

* Fri Oct 17 2003 Than Ngo <than@redhat.com> 6:3.1.4-4
- fixed icon scale patch, thanks to Thomas Wörner

* Fri Oct 10 2003 Than Ngo <than@redhat.com> 6:3.1.4-3
- better icon scale patch

* Thu Oct 02 2003 Than Ngo <than@redhat.com> 6:3.1.4-2
- rebuild against new gcc-3.3.1-6, fixed miscompiled code on IA-32 

* Mon Sep 29 2003 Than Ngo <than@redhat.com> 6:3.1.4-1
- 3.1.4

* Thu Sep 04 2003 Than Ngo <than@redhat.com> 6:3.1.3a-1
- 3.1.3a

* Thu Aug 28 2003 Than Ngo <than@redhat.com> 6:3.1.3-8
- adopted a patch file from Mandrake, it fixes full screen problem

* Wed Aug 27 2003 Than Ngo <than@redhat.com> 6:3.1.3-7
- rebuilt

* Wed Aug 27 2003 Than Ngo <than@redhat.com> 6:3.1.3-6
- rebuilt

* Fri Aug 22 2003 Than Ngo <than@redhat.com> 6:3.1.3-5
- fix build problem with gcc 3.x

* Wed Aug 06 2003 Than Ngo <than@redhat.com> 6:3.1.3-4
- rebuilt

* Wed Aug 06 2003 Than Ngo <than@redhat.com> 6:3.1.3-3
- add patch file to fix horizontal scrollbar issue

* Thu Jul 31 2003 Than Ngo <than@redhat.com> 6:3.1.3-2
- rebuilt

* Tue Jul 29 2003 Than Ngo <than@redhat.com> 6:3.1.3-1
- 3.1.3
- add Prereq: dev

* Tue Jun 17 2003 Than Ngo <than@redhat.com> 6:3.1.2-7
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun May 18 2003 Than Ngo <than@redhat.com> 6:3.1.2-5
- remove workaround for glibc bug

* Wed May 14 2003 Than Ngo <than@redhat.com> 6:3.1.2-3
- fix dependence bug

* Tue May 13 2003 Than Ngo <than@redhat.com> 6:3.1.2-2
- fix a bug in loading openssl library

* Mon May 12 2003 Than Ngo <than@redhat.com> 6:3.1.2-1
- 3.1.2

* Wed Apr 30 2003 Than Ngo <than@redhat.com> 6:3.1.1-7
- build with -fpic on ppc (ld bugs)

* Mon Apr 28 2003 Than Ngo <than@redhat.com> 6:3.1.1-6
- libjpeg-devel and bzip2-devel in buildrequires (#89635)

* Thu Apr 24 2003 Than Ngo <than@redhat.com> 6:3.1.1-5
- use pcre native API

* Mon Apr 14 2003 Than Ngo <than@redhat.com> 6:3.1.1-4
- add xrandr support

* Sun Apr 13 2003 Than Ngo <than@redhat.com> 6:3.1.1-3
- PS/PDF file handling vulnerability

* Thu Mar 20 2003 Than Ngo <than@redhat.com> 6:3.1.1-2
- add patch file from CVS to fix: https authentication through proxy fails
- add patch file from CVS to fix: KZip fails for some .zip archives

* Sun Mar 16 2003 Than Ngo <than@redhat.com> 6:3.1.1-1
- 3.1.1 stable release
- move desktop-create-kmenu to kdelibs

* Mon Mar  3 2003 Than Ngo <than@redhat.com> 6:3.1-12
- lan redirect

* Mon Feb 24 2003 Than Ngo <than@redhat.com> 6:3.1-11
- add Buildprereq libart_lgpl-devel

* Mon Feb 24 2003 Than Ngo <than@redhat.com> 6:3.1-10
- move API documentation into kdelibs-devel (#84976)

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 6:3.1-9
- add fix from Thomas Wörner to watch /usr/share/applications
  for changes, (bug #71613)

* Thu Feb 20 2003 Than Ngo <than@redhat.com> 6:3.1-8
- rebuid against gcc 3.2.2 to fix dependency in la file

* Thu Feb 13 2003 Thomas Woerner <twoerner@redhat.com> 6:3.1-7
- fixed arts bug #82750, requires rebuild of kdelibs

* Tue Feb 11 2003 Than Ngo <than@redhat.com> 6:3.1-6
- fix Norway i18n issue, bug #73446

* Mon Feb 10 2003 Than Ngo <than@redhat.com> 6:3.1-5
- konqueror crashes on a double click, bug #81503

* Sun Feb  9 2003 Than Ngo <than@redhat.com> 6:3.1-4
- add patch to support the macromedia, bug #83808

* Thu Feb  6 2003 Than Ngo <than@redhat.com> 6:3.1-3
- add patch to set correct default encoding, bug #82539
- don't overwrite defaultstyle, bug #74795, #80103

* Fri Jan 31 2003 Than Ngo <than@redhat.com> 6:3.1-2
- Add better resize icon patch from Thomas Woerner

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 6:3.1-1
- 3.1 final

* Sun Jan 26 2003 Than Ngo <than@redhat.com> 6:3.1-0.16
- use make apidox to create KDE api instead doxygen

* Thu Jan 24 2003 Than Ngo <than@redhat.com> 6:3.1-0.15
- use doxygen to create api docs
- clean up specfile

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 6:3.1-0.14
- rebuild

* Wed Jan 22 2003 Than Ngo <than@redhat.com> 3.1-0.13
- rc7

* Thu Jan 16 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.12
- added icon scale patch
- added ia64 again

* Mon Jan 13 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.11
- excluded ia64

* Sun Jan 12 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.10
- rebuild

* Fri Jan 10 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.9
- removed silly size_t check

* Fri Jan 10 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.8
- rc6

* Fri Jan 10 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.7
- ssl uses krb5

* Sat Dec 28 2002 Than Ngo <than@redhat.com> 3.1-0.6
- rebuild

* Mon Dec 16 2002 Than Ngo <than@redhat.com> 3.1-0.5
- rebuild

* Thu Dec 12 2002 Than Ngo <than@redhat.com> 3.1-0.4
- fix dependency bug
- use kdoc to create api docs

* Sat Nov 30 2002 Than Ngo <than@redhat.com> 3.1-0.3
- fix bug #78646
- set kde_major_version

* Fri Nov 22 2002 Than Ngo <than@redhat.com> 3.1-0.2
- use doxygen to create api docs

* Tue Nov 19 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update rc4
- adjust many patch files for 3.1
- remove some patch files, which are now in 3.1

